VoiceLink Management
List VoiceLink call routing
Lists DID call-routing records from the selected active VoiceLink connection. Pass connection_id when the account has more than one active VoiceLink connection.
GET
/
voicelink
/
call-routing
List VoiceLink call routing
curl --request GET \
--url https://api.vocobase.com/api/v2/voicelink/call-routing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vocobase.com/api/v2/voicelink/call-routing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vocobase.com/api/v2/voicelink/call-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"data": [
{
"id": 120,
"did_id": 812,
"did_number": "918011223344",
"for_inbound_call": 1,
"for_outbound_call": 3,
"outbound_websocket_bot_id": 93,
"status": 1
}
]
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "agent_name is required and must be max 50 characters"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred"
}
}Authorizations
API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.
Query Parameters
Optional unless multiple active VoiceLink connections exist.
⌘I
List VoiceLink call routing
